Bug 117140 - SharePoint directory list in Calc does not contain the files in subdirectories
Summary: SharePoint directory list in Calc does not contain the files in subdirectories
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.5.1 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: SharePoint-List
  Show dependency treegraph
 
Reported: 2018-04-21 11:55 UTC by Gabor Kelemen (allotropia)
Modified: 2021-11-07 04:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example export file from Excel 2013 (21.13 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-04-21 11:55 UTC, Gabor Kelemen (allotropia)
Details
Example export file from LO 5.4 (11.41 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-04-21 11:56 UTC, Gabor Kelemen (allotropia)
Details
Screenshot of the .igy file when opened in Excel (113.49 KB, image/png)
2018-04-21 11:57 UTC, Gabor Kelemen (allotropia)
Details
Screenshot of the .igy file when opened in Calc (60.17 KB, image/png)
2018-04-21 11:57 UTC, Gabor Kelemen (allotropia)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen (allotropia) 2018-04-21 11:55:56 UTC
Created attachment 141516 [details]
Example export file from Excel 2013

LibreOffice doesn't show the list of files in subdirectories from SharePoint server.

Steps to reproduce:
1. Open a SharePoint directory by Internet Explorer.
2. Export the directory list into Excel.
3. Open and process the .igy file with Calc.
4. Save the sheet into .ods format.
5. Open and process the .igy file with Excel.
6. Save the sheet into .xlsx format.

Actual results:
LibreOffice Calc doesn't list the files in subdirectories.
Microsoft Excel also lists the files in subdirectories.

Expected results:
The sheet in .ods file should contain the names of all files from all subdirectories.
Comment 1 Gabor Kelemen (allotropia) 2018-04-21 11:56:23 UTC
Created attachment 141517 [details]
Example export file from LO 5.4
Comment 2 Gabor Kelemen (allotropia) 2018-04-21 11:57:27 UTC
Created attachment 141518 [details]
Screenshot of the .igy file when opened in Excel
Comment 3 Gabor Kelemen (allotropia) 2018-04-21 11:57:49 UTC
Created attachment 141519 [details]
Screenshot of the .igy file when opened in Calc
Comment 4 raal 2018-05-04 13:42:09 UTC
repro with LO Version: 6.1.0.0.alpha1+
    Build ID: f154f63cb662f02415d5cb0051011bdb5d0d523c
SharePoint 2013
Comment 5 QA Administrators 2019-11-07 03:34:44 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2021-11-07 04:22:43 UTC
Dear Gabor Kelemen,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug